# Module: GLSL

### Methods

#### (inner) mercator_gl_lngLatToClip(lngLat) → {vec4}

Project a longitude/latitude coordinate into clip space without enhanced precition. Equivalent to `mercator_gl_lngLatToClip(vec3(lngLat, 0.0), vec2(0.0))`.

##### Parameters:

Name | Type | Description
--- | --- | ---
`lngLat` | vec2 | Longitude/latitude coordinate.

Source:
  - projection-glsl.js, line 87

##### Returns:

Clip space coordinate (can be passed to `gl_Position`).

Type
  vec4

#### (inner) mercator_gl_lngLatToClip(lngLat, lngLatPrecision) → {vec4}

Project a longitude/latitude coordinate into clip space. Equivalent to `mercator_gl_lngLatToClip(vec3(lngLat, 0.0), lngLatPrecision)`.

##### Parameters:

Name | Type | Description
--- | --- | ---
`lngLat` | vec2 | Longitude/latitude coordinate.
`lngLatPrecision` | vec2 | "Low part" of 64-bit longitude/latitude coordinates.

Source:
  - projection-glsl.js, line 77

##### Returns:

Clip space coordinate (can be passed to `gl_Position`).

Type
  vec4

#### (inner) mercator_gl_lngLatToClip(lngLatElevation) → {vec4}

Project a longitude/latitude/elevation coordinate into clip space without enhanced precition. Equivalent to `mercator_gl_lngLatToClip(lngLatElevation, vec2(0.0))`.

##### Parameters:

Name | Type | Description
--- | --- | ---
`lngLatElevation` | vec3 | Longitude/latitude/meter elevation coordinate.

Source:
  - projection-glsl.js, line 68

##### Returns:

Clip space coordinate (can be passed to `gl_Position`).

Type
  vec4

#### (inner) mercator_gl_lngLatToClip(lngLatElevation, lngLatPrecision) → {vec4}

Project a longitude/latitude/elevation coordinate into clip space.

##### Parameters:

Name | Type | Description
--- | --- | ---
`lngLatElevation` | vec3 | Longitude/latitude/meter elevation coordinate.
`lngLatPrecision` | vec2 | "Low part" of 64-bit longitude/latitude coordinates.

Source:
  - projection-glsl.js, line 59

##### Returns:

Clip space coordinate (can be passed to `gl_Position`).

Type
  vec4

#### (inner) mercator_gl_lngLatToClip(lngLat) → {vec4}

Project a longitude/latitude coordinate into clip space without enhanced precition. Equivalent to `mercator_gl_lngLatToClip(vec3(lngLat, 0.0), vec2(0.0))`.

##### Parameters:

Name | Type | Description
--- | --- | ---
`lngLat` | vec2 | Longitude/latitude coordinate.

Source:
  - projection-glsl.js, line 96

##### Returns:

Clip space coordinate (can be passed to `gl_Position`).

Type
  vec4

#### (inner) mercator_gl_lngLatToMercator(lngLatElevation, lngLatPrecision) → {vec4}

Project a longitude/latitude/elevation coordinate into mercator space.

##### Parameters:

Name | Type | Description
--- | --- | ---
`lngLatElevation` | vec3 | Longitude/latitude/meter elevation coordinate.
`lngLatPrecision` | vec2 | "Low part" of 64-bit longitude/latitude coordinates.

Source:
  - projection-glsl.js, line 5

##### Returns:

Homegeneous representation of mercator position.

Type
  vec4

#### (inner) mercator_gl_lngLatToMercator(lngLat) → {vec4}

Project a longitude/latitude coordinate into mercator space without enhanced precition. Equivalent to `mercator_gl_lngLatToMercator(vec3(lngLat, 0.0), vec2(0.0))`.

##### Parameters:

Name | Type | Description
--- | --- | ---
`lngLat` | vec2 | Longitude/latitude coordinate.

Source:
  - projection-glsl.js, line 42

##### Returns:

Homegeneous representation of mercator position.

Type
  vec4

#### (inner) mercator_gl_lngLatToMercator(lngLat) → {vec4}

Project a longitude/latitude coordinate into mercator space without enhanced precition. Equivalent to `mercator_gl_lngLatToMercator(vec3(lngLat, 0.0), vec2(0.0))`.

##### Parameters:

Name | Type | Description
--- | --- | ---
`lngLat` | vec2 | Longitude/latitude coordinate.

Source:
  - projection-glsl.js, line 33

##### Returns:

Homegeneous representation of mercator position.

Type
  vec4

#### (inner) mercator_gl_lngLatToMercator(lngLatElevation) → {vec4}

Project a longitude/latitude/elevation coordinate into mercator space without enhanced precition. Equivalent to `mercator_gl_lngLatToMercator(lngLatElevation, vec2(0.0))`.

##### Parameters:

Name | Type | Description
--- | --- | ---
`lngLatElevation` | vec3 | Longitude/latitude/meter elevation coordinate.

Source:
  - projection-glsl.js, line 14

##### Returns:

Homegeneous representation of mercator position.

Type
  vec4

#### (inner) mercator_gl_lngLatToMercator(lngLat, lngLatPrecision) → {vec4}

Project a longitude/latitude coordinate into mercator space. Equivalent to `mercator_gl_lngLatToMercator(vec3(lngLat, 0.0), lngLatPrecision)`.

##### Parameters:

Name | Type | Description
--- | --- | ---
`lngLat` | vec2 | Longitude/latitude coordinate.
`lngLatPrecision` | vec2 | "Low part" of 64-bit longitude/latitude coordinates.

Source:
  - projection-glsl.js, line 23

##### Returns:

Homegeneous representation of mercator position.

Type
  vec4

#### (inner) mercator_gl_mercatorToClip(mercatorPosition) → {vec4}

Project a homegeneous 4d mercator coordinate to clip space.

##### Parameters:

Name | Type | Description
--- | --- | ---
`mercatorPosition` | vec4 | x/y/<meter elevation/1 homegeneous mercator coordinate.

Source:
  - projection-glsl.js, line 51

##### Returns:

Clip space coordinate (can be passed to `gl_Position`).

Type
  vec4